Page MenuHomePhabricator

Call purge service in save action + browser tests
Closed, ResolvedPublic

Description

Note: the browser tests will need the reload to take place, so either we implement T246219: Reload page after saving+purging is done first or we temporarily reload in the browser test itself. (The former seems nicer – T246219 isn’t blocked on anything.)

It appears the wikitext as we already have it in our browser tests will do the right thing showing only the preferred statement once we implement the update edit decision (c.f. T238662), add a browser test for it, and assert its effect on the article.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 26 2020, 2:41 PM
Pablo-WMDE updated the task description. (Show Details)Mar 4 2020, 10:44 AM

Change 576345 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: assert changed value in infobox by selenium

https://gerrit.wikimedia.org/r/576345

Did some prep work for this task but technically did not work on implementing it.

Pablo-WMDE moved this task from To do to Doing on the Wikidata-Bridge-Sprint-15 board.

Change 577217 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: add ability to post method on (client) Api

https://gerrit.wikimedia.org/r/577217

Change 577222 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: purge the client article after save

https://gerrit.wikimedia.org/r/577222

Change 576345 abandoned by Pablo Grass (WMDE):
bridge: assert changed value in infobox by selenium

Reason:
Will become part of Ifd22a676e21baa6f453d429bb5686936d068c52c

https://gerrit.wikimedia.org/r/576345

Change 577217 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: add ability to mock post method on (client) Api

https://gerrit.wikimedia.org/r/577217

Change 577222 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: purge the client article after save

https://gerrit.wikimedia.org/r/577222

Lucas_Werkmeister_WMDE closed this task as Resolved.Mar 6 2020, 5:48 PM